#include<evive.h>
#include <Wire.h>

const int MPU_ADDR = 0x68;                              // I2C address of the MPU-6050. If AD0 pin is set to HIGH, the I2C address will be 0x69.
int accelerometer_x, accelerometer_y, accelerometer_z; // variables for accelerometer raw data
int gyro_x, gyro_y, gyro_z;                           // variables for gyro raw data
int temperature;
int var =0;
unsigned int wait = 100;

void setup() 
    {
      Serial.begin(9600);
      
      tft_init(INITR_GREENTAB);              // initialize a ST7735S chip, black tab
      tft.setRotation(1);
      tft.fillScreen(ST7735_BLACK);

      Wire.begin();
      Wire.beginTransmission(MPU_ADDR);       // Begins a transmission to the I2C slave (GY-521 board)
      Wire.write(0x6B);                      // PWR_MGMT_1 register
      Wire.write(0);                        // set to zero (wakes up the MPU-6050)
      Wire.endTransmission(true);
   
   
    }

void loop() 
    {

        Wire.beginTransmission(MPU_ADDR);
        Wire.write(0x3B);                        // starting with register 0x3B (ACCEL_XOUT_H) [MPU-6000 and MPU-6050 Register Map and Descriptions Revision 4.2, p.40]
        Wire.endTransmission(false);            // the parameter indicates that the Arduino will send a restart. As a result, the connection is kept active.
        Wire.requestFrom(MPU_ADDR, 7*2, true); // request a total of 7*2=14 registers
        
        accelerometer_x = Wire.read()<<8 | Wire.read();                  // reading registers: 0x3B (ACCEL_XOUT_H) and 0x3C (ACCEL_XOUT_L)
        accelerometer_y = Wire.read()<<8 | Wire.read();                 // reading registers: 0x3D (ACCEL_YOUT_H) and 0x3E (ACCEL_YOUT_L)
        accelerometer_z = Wire.read()<<8 | Wire.read();                // reading registers: 0x3F (ACCEL_ZOUT_H) and 0x40 (ACCEL_ZOUT_L)
        temperature = Wire.read()<<8 | Wire.read();                   // reading registers: 0x41 (TEMP_OUT_H) and 0x42 (TEMP_OUT_L)
        gyro_x = Wire.read()<<8 | Wire.read();                       // reading registers: 0x43 (GYRO_XOUT_H) and 0x44 (GYRO_XOUT_L)
        gyro_y = Wire.read()<<8 | Wire.read();                      // reading registers: 0x45 (GYRO_YOUT_H) and 0x46 (GYRO_YOUT_L)
        gyro_z = Wire.read()<<8 | Wire.read();                     // reading registers: 0x47 (GYRO_ZOUT_H) and 0x48 (GYRO_ZOUT_L)
        
        var =0;
    if(accelerometer_x > 13000)
       {
          var =1;
          Serial.print(var); // UP
          Serial.print(".");
          delay(wait);
       }
    else if (accelerometer_y > 13000)
       {
          var =3;
          Serial.print(var); // right
          Serial.print(".");
          delay(wait);
       }
    else
        {
              accelerometer_y = -(accelerometer_y);
              accelerometer_x = -(accelerometer_x);

                if(accelerometer_x >13000)
                    {
                       var =2;
                       Serial.print(var); // DOWN
                       Serial.print(".");
                       delay(wait);
                    }
                else if(accelerometer_y > 13000)
                    {
                       var =4;
                       Serial.print(var); // LEFT
                       Serial.print(".");
                       delay(wait);
                    }
               else if(accelerometer_z > 13000)
                     {
                        Serial.print(var); // stop
                        Serial.print(".");
                     }
      
       } 
    delay(10);
}
